export enum InsuranceClaimAttachmentBusinessTypeEnum {
  /**
   * 伤者身份证图片
   */
  InjuredIdCardImg = 10,
  /**
   * 受伤场地图片
   */
  InjurySiteImg = 20,
  /**
   * 伤者手持身份证图片
   */
  InjuredHandheldIdCardImg = 30,
  /**
   * 受伤部位图片
   */
  InjuredAreaImg = 40,
  /**
   * 病例图片
   */
  CasesImg = 50,
}

export const InsuredInstitutionEnum = {
  平安: '平安',
  人保: '人保',
  太保: '太保',
  国寿: '国寿',
  大地: '大地',
  R保: 'R保',
  其他: '其他',
};

export const InsuranceSchemeEnum = {
  '30万3类': '30万3类',
  '30万4类': '30万4类',
  '50万3类': '50万3类',
  '50万4类': '50万4类',
  '80万3类': '80万3类',
  '80万4类': '80万4类',
  '100万3类': '100万3类',
  '100万4类': '100万4类',
};

export const AccidentTypeEnum = {
  皮外伤: '皮外伤',
  骨折: '骨折',
  死亡: '死亡',
};

export enum InsuranceClaimResultEnum {
  /**未结案 */
  PendingCase = 10,
  /**结案 */
  CloseCase = 20,
  /**撤案 */
  WithdrawCase = 30,
}

export const InsuranceClaimResultEnumText = {
  [InsuranceClaimResultEnum.PendingCase]: '未结案',
  [InsuranceClaimResultEnum.CloseCase]: '结案',
  [InsuranceClaimResultEnum.WithdrawCase]: '撤案',
};

export const OnJobFlagEnumText = {
  增员: '增员',
  减员: '减员',
};
export const insuranceTypeText = {
  月保: '月保',
  年保: '年保',
};
